Obter recibo
curl --request GET \
--url https://api-vendas.taximachine.com.br/api/v2/integracao/entregas/{id}/recibo \
--header 'Authorization: Basic <encoded-value>' \
--header 'api-key: <api-key>'import requests
url = "https://api-vendas.taximachine.com.br/api/v2/integracao/entregas/{id}/recibo"
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Basic <encoded-value>', 'api-key': '<api-key>'}
};
fetch('https://api-vendas.taximachine.com.br/api/v2/integracao/entregas/{id}/recibo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id_mch": "5642",
"condutor": {
"nome": "Glen Little",
"telefone": "(099) 99999-9999",
"modelo": "dolorem",
"placa": "AAA-9999"
},
"dados_solicitacao": {
"valor": "739.67",
"duracao": "8",
"distancia": "4.05",
"tarifa": "explicabo",
"id_categoria": "407",
"categoria": "qui",
"descricao_categoria": "ut",
"desconto": 96.83,
"tipo_pagamento": "D"
},
"empresa": {
"empresa_id": "893",
"nome": "Schmidt, Hudson and Schowalter",
"cpf": "999.999.999-99"
},
"partida": {
"endereco": "Rua Evandro Câmara, 717",
"bairro": "Centro",
"cidade": "Montes Claros",
"estado": "Minas Gerais",
"data_hora": "2023-01-02T10:28:28Z"
},
"desejado": {
"endereco": null,
"bairro": null,
"cidade": null,
"estado": null,
"data_hora": "2023-01-02T10:35:22Z"
}
}
}Entregas
Obter recibo
Retorna as informações necessárias para a construção do recibo da solicitação de entrega. A entrega deve pertencer a bandeira e ter seu status como finalizada (F).
GET
/
entregas
/
{id}
/
recibo
Obter recibo
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Path Parameters
id da solicitação de entrega
Response
200 - application/json
Sucesso
⌘I
